Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.log
Interface ILogContext

All Known Implementing Classes:
  ILogContext.DefaultLogContext

public interface ILogContext

Classes that implement this interface are capable of supplying context information for a log entry including programmer, user and admin locales and an application specific context string.

Inner Class Summary
`static class` | `ILogContext.DefaultLogContext` This class implements a default log context.

Field Summary
`static ILogContext` | `DEFAULT_CONTEXT` Provides a default log context returning the default VM locale and no application context.

Method Summary
`java.util.Locale` | `getAdminLocale()` Gets the current locale of the administrator.
`java.lang.String` | `getApplicationContext()` Gets the application specific context for the entry.
`java.util.Locale` | `getProgrammerLocale()` Gets the current locale of the programmer.
`java.util.Locale` | `getUserLocale()` Gets the current locale of the user.

Field Detail

### DEFAULT_CONTEXT

    public static final ILogContext DEFAULT_CONTEXT

  Provides a default log context returning the default VM locale and no application context.

Method Detail

### getUserLocale

    public java.util.Locale getUserLocale()

  Gets the current locale of the user.
  Returns:
    the user locale

### getProgrammerLocale

    public java.util.Locale getProgrammerLocale()

  Gets the current locale of the programmer.
  Returns:
    the programmer locale

### getAdminLocale

    public java.util.Locale getAdminLocale()

  Gets the current locale of the administrator.
  Returns:
    the administrator locale

### getApplicationContext

    public java.lang.String getApplicationContext()

  Gets the application specific context for the entry.
  Returns:
    the application specific context

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.